Subject: bug#57440: [patch] Guile manual has incorrect history on the name

From: Lee Thomas <[email-masked]>
Date: Fri, 26 Aug 2022 20:43:23 -0700

Vielen Dank, mein Herr. I was tremendously honored, and still am, to have
been a tiny part of Guile. I hope to contribute more in small ways, time
permitting. I'm delighted to see the progress made over the years, and I
hope the best for the team.

On Fri, Aug 26, 2022 at 5:11 PM Dr. Arne Babenhauserheide <[email-masked]>
wrote:

>
> Lee Thomas <[email-masked]> writes:
>
> > Hi. https://www.gnu.org/software/guile/manual/html_node/Early-Days.html
> isn't correct where in the fourth paragraph it says "Jim Blandy suggested a
> > new name for GEL". It was actually me, as documented in the second
> paragraph here: https://en.wikipedia.org/wiki/GNU_Guile#History  Due to
> the Tcl
> > Wars some of the name suggestions were becoming offensive, especially to
> Dr. Ousterhout, so I thought I would suggest something more positive. To
> > my astonishment, Tom Lord liked it and used it, over the objections of
> others.
> >
> > I'm dying of cancer so soon it won't matter
>
> I’m sorry to hear that. Thank you for taking up this even now! And thank
> you for taking part in Guile.
>
> I wish you lots of strength.
>
> > , and I was never a part of Guile's inner circle anyway, so this isn't a
> truly important issue for me. If it would
> > ruffle political feathers to take credit from Jim then I'm fine with
> leaving it as is, but I do feel responsibility to simply report it here -
> especially before
> > someone else does and asks why the manual and Wikipedia don't match.
>
> I created a patch that does the change and references it. From the
> history it looks like this part has been written in one go back then and
> did not change, so it possibly was just a mis-remembering.
>
> The patch:
>
>
> Best wishes,
> Arne
> --
> Unpolitisch sein
> heißt politisch sein,
> ohne es zu merken.
> draketo.de
>